Subject: Semantics of lv1_pause()

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 10 Jul 2012 13:20:02 +1000

Hi Geoff !

Do you have access to any kind of documentation regarding the precise
semantics of lv1_pause() ?

I'm fixing various issues with our idle loops, among other things,
because we are soft-disabled when we hit ppc_md.powersave() but not
hard-disabled, there could be an interrupt marked as pending and not
taken yet.

Will that work properly ? I have this understanding that it might
not ... but heh.

Also if I call lv1_pause() with MSR_EE off, will it work ? Will it
return with MSR_EE on like H_CEDE does on pseries ?

Cheers,
Ben.